### Method

# Ide EditorSearch set_search_text

#### Declaration

    void
    ide_editor_search_set_search_text (
      IdeEditorSearch* self,
      const gchar* search_text
    )

#### Description

See also: `GtkSourceSearchSettings:search-text`.

Available since: | 3.32

Sets property | `Ide.EditorSearch:search-text`

#### Parameters

`search_text` | `const gchar*`
| The search text or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.